> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create broker submission

> Create a new broker submission with end user details.
**Authentication**: Requires a broker API key in the `x-api-key` header. Generate keys using the `/api/broker_submissions/api_keys/generate` endpoint.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/broker_submissions/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/broker_submissions/:
    post:
      tags:
        - BrokerSubmissions
      summary: Create broker submission
      description: >
        Create a new broker submission with end user details.

        **Authentication**: Requires a broker API key in the `x-api-key` header.
        Generate keys using the `/api/broker_submissions/api_keys/generate`
        endpoint.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateBrokerSubmissionSchema'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  heron_id:
                    description: Heron ID of the created submission
                    type: string
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    CreateBrokerSubmissionSchema:
      properties:
        name:
          description: >-
            The name of the submission being made, this is purely for user
            reference.
          minLength: 10
          type: string
      required:
        - name
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````